Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 607211 - (CVE-2010-2432) CVE-2010-2432 cups: DoS (infinite loop) via HTTP_UNAUTHORIZED responses STR #3518
CVE-2010-2432 cups: DoS (infinite loop) via HTTP_UNAUTHORIZED responses STR #...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
public=20100303,reported=20100622,sou...
: Security
Depends On: 607219
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-23 10:16 EDT by Jan Lieskovsky
Modified: 2016-03-04 06:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-23 07:56:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Local copy of upstream CVE-2010-2432 / STR #3518 patch (1023 bytes, patch)
2010-06-23 10:28 EDT, Jan Lieskovsky
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
CUPS Bugs and Features 3518 None None None Never

  None (edit)
Description Jan Lieskovsky 2010-06-23 10:16:19 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-2432 to
the following vulnerability:

The cupsDoAuthentication function in auth.c in the client in CUPS
before 1.4.4, when HAVE_GSSAPI is omitted, does not properly handle a
demand for authorization, which allows remote CUPS servers to cause a
denial of service (infinite loop) via HTTP_UNAUTHORIZED responses.

References:
  [1] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-2432
  [2] http://cups.org/articles.php?L596
  [3] http://cups.org/str.php?L3518

Upstream patch:
  svn diff -c r9020 http://svn.easysw.com/public/cups/trunk/
Comment 1 Jan Lieskovsky 2010-06-23 10:21:21 EDT
This issue did NOT affect the version of the cups package, as shipped
with Red Hat Enterprise Linux 3.

This issue affects the versions of the cups package, as shipped with
Red Hat Enterprise Linux 4 and 5.

This issue did NOT affect (is already addressed) in the current versions
of the cups package, as shipped with Fedora releases of 11, 12, and 13.
Comment 4 Jan Lieskovsky 2010-06-23 10:28:38 EDT
Created attachment 426285 [details]
Local copy of upstream CVE-2010-2432 / STR #3518 patch
Comment 5 Vincent Danen 2010-06-23 10:43:24 EDT
Statement:

Not vulnerable. This issue did not affect the versions of CUPS as shipped with Red Hat Enterprise Linux 3, 4, or 5.
Comment 6 Tomas Hoger 2010-08-17 10:36:45 EDT
(In reply to comment #1)
> This issue affects the versions of the cups package, as shipped with
> Red Hat Enterprise Linux 4 and 5.

This does not sound right to me.  CUPS in RHEL-5 is built with GSSAPI support, so for Negotiate authentications, "too many tries" error is hit.  For Basic and Digest authentication, password callback function is called again to ask for a different password.  There does not seem to be a limit on number of password callback calls, but that behaviour matches upstream behaviour in 1.4.4 (fixed version).

RHEL-4 CUPS does not support Negotiate and password callback is called in case of Basic or Digest failures.
Comment 7 Tomas Hoger 2010-08-23 07:56:41 EDT
Upstream confirms that not limiting number of password callback calls is intended behaviour.  Closing this notabug, with updated statement in comment #5.

Note You need to log in before you can comment on or make changes to this bug.